Bug 1119330 - ami-fecf0f96 RHEL 5.10 x86_64 us-east-1
Summary: ami-fecf0f96 RHEL 5.10 x86_64 us-east-1
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Cloud Image Validation
Classification: Red Hat
Component: images
Version: RHEL5.10
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: mkovacik
QA Contact: mkovacik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 14:23 UTC by mkovacik
Modified: 2014-07-14 14:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-14 14:34:44 UTC


Attachments (Terms of Use)
ami-fecf0f96.yaml (41.84 KB, text/yaml)
2014-07-14 14:23 UTC, mkovacik
no flags Details

Description mkovacik 2014-07-14 14:23:52 UTC

Comment 1 mkovacik 2014-07-14 14:23:54 UTC
Created attachment 917881 [details]
ami-fecf0f96.yaml

Comment 2 mkovacik 2014-07-14 14:23:57 UTC
Validation failed for ami-fecf0f96 in us-east-1 product: RHEL, version: 5.10, arch: x86_64

m1.small
test stage1:testcase_01_bash_history succeeded
test stage1:testcase_02_selinux_context failed
--->
	command: restorecon -R -v -n -e /proc -e /sys -e /mnt / | sed -e 's, context , ,' -e 's,^restorecon reset ,,' | cat > /tmp/restorecon_output.txt && echo SUCCESS
	expectation: 
SUCCESS

	result: passed
<---
--->
	comment: 
Fail.New entries detected:[['/etc/sysconfig/network-scripts/ifcfg-eth0', ['etc_runtime_t', 'etc_t']], ['/etc/modprobe.d/anaconda.conf', ['file_t', 'etc_t']], ['/lost+found', ['file_t', 'lost_found_t']], ['/etc/sysconfig/firstboot', ['etc_t', 'etc_runtime_t']], ['/etc/sysconfig/mkinitrd/multipath', ['file_t', 'etc_t']], ['/.rnd', ['etc_runtime_t', 'default_t']]]
Lost entries:[['/valid_setup_script_executed', ['etc_runtime_t', 'default_t']]]
	result: failed
<---
test stage1:testcase_03_running_services succeeded
test stage1:testcase_04_cloud_firstboot succeeded
test stage1:testcase_05_grub succeeded
test stage1:testcase_06_inittab succeeded
test stage1:testcase_07_libc6_xen_conf succeeded
test stage1:testcase_08_memory succeeded
test stage1:testcase_09_nameserver succeeded
test stage1:testcase_10_networking succeeded
test stage1:testcase_11_package_set succeeded
test stage1:testcase_12_passwd_group succeeded
test stage1:testcase_13_resize2fs succeeded
test stage1:testcase_14_host_details succeeded
test stage1:testcase_15_rhel_version succeeded
test stage1:testcase_16_selinux succeeded
test stage1:testcase_17_shells succeeded
test stage1:testcase_18_sshd succeeded
test stage1:testcase_19_rhn_system_id succeeded
test stage1:testcase_20_auditd succeeded
test stage1:testcase_21_disk_size_format succeeded
test stage1:testcase_22_gpg_keys succeeded
test stage1:testcase_23_syslog succeeded
test stage1:testcase_24_yum_plugin succeeded
test stage1:testcase_25_uname succeeded
test stage1:testcase_26_verify_rpms succeeded
test stage1:testcase_27_yum_repos succeeded
test stage1:testcase_28_iptables succeeded
test stage1:testcase_30_rhn_certificates failed
--->
	command: rpm -ql rh-amazon-rhui-client | egrep '.*\.(pem|crt)'
	result: passed
	value: /etc/pki/rhui/ca.crt
/etc/pki/rhui/cdn.redhat.com-chain.crt
/etc/pki/rhui/product/content-rhel5.crt
/etc/pki/rhui/product/rhui-client-config-server-5.crt
<---
--->
	command: openssl x509 -in /etc/pki/rhui/ca.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Nov 30 19:46:02 2017 GMT
<---
--->
	comment: (/etc/pki/rhui/ca.crt).notAfter=2017-11-30 19:46:02; expecting: 2017-06-12 00:00:00
	result: passed
<---
--->
	command: openssl x509 -in /etc/pki/rhui/cdn.redhat.com-chain.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Mar 13 11:24:54 2030 GMT
<---
--->
	comment: (/etc/pki/rhui/cdn.redhat.com-chain.crt).notAfter=2030-03-13 11:24:54; expecting: 2017-06-12 00:00:00
	result: passed
<---
--->
	command: openssl x509 -in /etc/pki/rhui/product/content-rhel5.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Sep 17 17:57:29 2023 GMT
<---
--->
	comment: (/etc/pki/rhui/product/content-rhel5.crt).notAfter=2023-09-17 17:57:29; expecting: 2017-06-12 00:00:00
	result: passed
<---
--->
	command: openssl x509 -in /etc/pki/rhui/product/rhui-client-config-server-5.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Mar 31 18:41:55 2017 GMT
<---
--->
	comment: (/etc/pki/rhui/product/rhui-client-config-server-5.crt).notAfter=2017-03-31 18:41:55; expecting: 2017-06-12 00:00:00
	result: failed
<---
test stage1:testcase_31_subscription_management failed
--->
	command: yum --disablerepo='*' -v repolist
	expectation: Not loading "subscription-manager" plugin
	result: passed
<---
--->
	command: yum --enableplugin=subscription-manager --disablerepo='*' -v repolist
	expectation: Loading "subscription-manager" plugin
	result: passed
<---
--->
	actual: subscription-manager list
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        5.10
Arch:           x86_64
Status:         Unknown
Status Details: 
Starts:         
Ends:           

[root@ip-10-86-169-53 ~]# 
	command: subscription-manager list
	expectation: No installed products to list
	result: failed
<---
test stage1:testcase_32_ephemeral failed
--->
	command: ls -la /sbin/mkfs.vfat 2> /dev/null | wc -l
	result: passed
	value: 1
<---
--->
	command: fdisk -l /dev/sdf | grep '^Disk'
	result: passed
<---
--->
	command: grep '/dev/sdf ' /proc/mounts  | wc -l
	result: passed
	value: 0
<---
--->
	actual: 1
	command: mkfs.vfat /dev/sdf
	result: failed
<---
--->
	actual: echo '###START###'; mkdir -p /tmp/mnt-sdf; echo '###END###'
###START###
###END###
[root@ip-10-86-169-53 ~]# 
	command: mkdir -p /tmp/mnt-sdf
	result: failed
<---
test stage1:testcase_34_cpu succeeded
test stage1:testcase_360_ebs succeeded
test stage1:testcase_39_root_is_locked failed
--->
	actual: 1
	command: egrep "^root:(\!\!|\*|x|locked):" /etc/shadow
	result: failed
<---
test stage1:testcase_41_rh_amazon_rhui_client succeeded
test stage1:testcase_42_ipv6 failed
--->
	actual: 1
	command: grep NETWORKING_IPV6=no /etc/sysconfig/network
	result: failed
<---
test stage1:testcase_50_yum_package_install failed
--->
	command: yum clean all
	result: passed
<---
--->
	actual: 1
	command: yum repolist
	result: failed
<---
--->
	actual: 1
	command: yum check-update
	result: failed
<---
--->
	actual: 1
	command: yum search zsh
	result: failed
<---
--->
	actual: 1
	command: yum -y install zsh
	result: failed
<---
--->
	actual: 1
	command: rpm -q --queryformat '%{NAME}' zsh
	result: failed
<---
--->
	actual: 1
	command: rpm -e zsh
	result: failed
<---
test stage1:testcase_55_yum_group_install failed
--->
	actual: 1
	command: yum -y groupinstall 'Development tools'
	result: failed
<---
--->
	command: rpm -q glibc-devel
	result: passed
<---
test stage1:testcase_60_yum_update failed
--->
	command: rpm -q matahari-net && yum -y remove matahari-net ||:
	result: passed
<---
--->
	actual: 1
	command: yum -y install kernel-xen
	result: failed
<---
--->
	actual: 1
	command: yum -y update
	result: failed
<---
test stage1:testcase_61_yum_proxy skipped
--->
	comment: No proxy set
	result: skip
<---
test stage1:testcase_80_no_avc_denials succeeded
test stage1:testcase_99_reboot succeeded
test stage2:testcase_08_memory succeeded
test stage2:testcase_25_uname succeeded
test stage2:testcase_37_sshd_bug923996 succeeded
test stage2:testcase_80_no_avc_denials succeeded

Comment 3 mkovacik 2014-07-14 14:34:44 UTC
Waiving content issues --- stage ami; manual content check passed
Issues reported --- closing


Note You need to log in before you can comment on or make changes to this bug.